package com.ruoyi.ibs.grid.domain.dto;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 行政与特色网格查询信息 Grid_Select_Info
 *
 * @author ruoyi
 * @date 2024-09-13
 */
public class GridSelectInfo {


    /** 网格标签 */
    @NotNull(message = "网格标签不能为空")
    private String gridPattern;

    /** 网格查询级别 */
    @NotNull(message = "网格查询级别不能为空")
    private String gridLevel;

    /** 归属机构 */
    private String belongDept;

    /** 网格类型 */
    private String gridType;

    /** 客户类型 */
    private String custType;

    /** 二级网格id */
    private Long gridId;

    /** 一级网格id */
    private Long topGridId;

    /** 责任类型 */
    private String gridDutyType;

    /** 关联支行 */
    private List<String> relationDeptList;

    /** 关联网点 */
    private List<String> relationOutletList;

    /** 关联客户经理 */
    private List<String> relationManagerList;

    /** 一级网格名称 */
    private String topGridName;

    /** 二级网格名称 */
    private String secGridName;

    /** 客户数量 */
    private Long custNum;

    /** 商户数量 */
    private Long posNum;

    /** 企业数量 */
    private Long busiNum;

    /** 二级网格数量 */
    private Long secGridNum;

    /** 用户机构 */
    private Long userDept;

    /** 一级网格编辑权限 */
    private String isEdit = "0";

    /** 二级网格编辑权限 */
    private String isEditSec = "0";

    /** 二级网格创建权限 */
    private String isAddSec = "0";

    /** 网格删除权限 */
    private String isDel = "0";

    private String createDept;

    public String getGridPattern() {
        return gridPattern;
    }

    public void setGridPattern(String gridPattern) {
        this.gridPattern = gridPattern;
    }

    public String getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(String gridLevel) {
        this.gridLevel = gridLevel;
    }

    public String getBelongDept() {
        return belongDept;
    }

    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    public String getGridType() {
        return gridType;
    }

    public void setGridType(String gridType) {
        this.gridType = gridType;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getTopGridId() {
        return topGridId;
    }

    public void setTopGridId(Long topGridId) {
        this.topGridId = topGridId;
    }

    public String getGridDutyType() {
        return gridDutyType;
    }

    public void setGridDutyType(String gridDutyType) {
        this.gridDutyType = gridDutyType;
    }

    public List<String> getRelationDeptList() {
        return relationDeptList;
    }

    public void setRelationDeptList(List<String> relationDeptList) {
        this.relationDeptList = relationDeptList;
    }

    public List<String> getRelationOutletList() {
        return relationOutletList;
    }

    public void setRelationOutletList(List<String> relationOutletList) {
        this.relationOutletList = relationOutletList;
    }

    public List<String> getRelationManagerList() {
        return relationManagerList;
    }

    public void setRelationManagerList(List<String> relationManagerList) {
        this.relationManagerList = relationManagerList;
    }

    public String getTopGridName() {
        return topGridName;
    }

    public void setTopGridName(String topGridName) {
        this.topGridName = topGridName;
    }

    public String getSecGridName() {
        return secGridName;
    }

    public void setSecGridName(String secGridName) {
        this.secGridName = secGridName;
    }

    public Long getCustNum() {
        return custNum;
    }

    public void setCustNum(Long custNum) {
        this.custNum = custNum;
    }

    public Long getPosNum() {
        return posNum;
    }

    public void setPosNum(Long posNum) {
        this.posNum = posNum;
    }

    public Long getBusiNum() {
        return busiNum;
    }

    public void setBusiNum(Long busiNum) {
        this.busiNum = busiNum;
    }

    public Long getSecGridNum() {
        return secGridNum;
    }

    public void setSecGridNum(Long secGridNum) {
        this.secGridNum = secGridNum;
    }

    public Long getUserDept() {
        return userDept;
    }

    public void setUserDept(Long userDept) {
        this.userDept = userDept;
    }

    public String getIsEdit() {
        return isEdit;
    }

    public void setIsEdit(String isEdit) {
        this.isEdit = isEdit;
    }

    public String getIsEditSec() {
        return isEditSec;
    }

    public void setIsEditSec(String isEditSec) {
        this.isEditSec = isEditSec;
    }

    public String getIsAddSec() {
        return isAddSec;
    }

    public void setIsAddSec(String isAddSec) {
        this.isAddSec = isAddSec;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }


    @Override
    public String toString() {
        return "GridSelectInfo{" +
                "gridPattern='" + gridPattern + '\'' +
                ", gridLevel='" + gridLevel + '\'' +
                ", belongDept='" + belongDept + '\'' +
                ", gridType='" + gridType + '\'' +
                ", custType='" + custType + '\'' +
                ", gridId=" + gridId +
                ", topGridId=" + topGridId +
                ", gridDutyType='" + gridDutyType + '\'' +
                ", relationDeptList=" + relationDeptList +
                ", relationOutletList=" + relationOutletList +
                ", relationManagerList=" + relationManagerList +
                ", topGridName='" + topGridName + '\'' +
                ", secGridName='" + secGridName + '\'' +
                ", custNum=" + custNum +
                ", posNum=" + posNum +
                ", busiNum=" + busiNum +
                ", secNum=" + secGridNum +
                ", userDept=" + userDept +
                ", isEdit='" + isEdit + '\'' +
                ", isEditSec='" + isEditSec + '\'' +
                ", isAddSec='" + isAddSec + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }

    public String getCreateDept() {
        return createDept;
    }

    public void setCreateDept(String createDept) {
        this.createDept = createDept;
    }
}
